Дек. 122007
 

Не съм мислил, че нещо такова може да ме затрудни. Не че има и едно нещо, което да ме е спряло. Обаче има хиляда хиляди малки бъгчета и бъзикни…

Проблема е, че по време на излизане на Oracle 10.2, RedHat още са на версия 4. Съответно в installation guide не е описано нищо за RHEL 5 – какви пакети са необходими, какво настройки на kernel…

Много помага Metalink Note 421308.1. Там са описани необходимите пакети и настройки поне за Database 10.2 върху RHEL 5 x86_64. В Metalink Note 456634.1 пък е описано как да се „пачне“ самата инсталация, за да разпознава новата ОС, защото варианта с runInstaller -ignoresysprereqs си е нож с две остриета: позволява ти да пуснеш инсталера, но не прави така здравословните проверки. За това – следваш нотата, редактираш самите файлове на инсталера и така…

Но тези ноти са за Database – за RAC няма такава. Натъкнах се на един много весел бъг докато си подготвях rawdevices за OCR/voting disk (тук):

The raw devices interface has been deprecated in Red Hat Enterprise Linux 5

И там има един скрипт, който е от 3-4 реда и би трябвало да оправи нещата. Да, ама не. Първо, скрипта на RedHat на 5 реда има 2 бъга и не работи. Второ, когато го оправиш, пак не те спасява.

Абе… приключение 🙂

Когато ми остане време, може да направя един installation guide. Ама няма да е скоро, защото е много работа…

 Posted by at 19:13